# Update a team (name: admin; auto-join and retention: owner)

PATCH /api/agent/teams/{id}. Required scopes: teams:write.

HTML: https://notify.belweave.ai/docs/api/patchTeamsId

Required scopes: `teams:write`

```http
PATCH /api/agent/teams/{id}
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "Update a team (name: admin; auto-join and retention: owner)",
  "operationId": "patchTeamsId",
  "security": [
    {
      "bearer": [
        "teams:write"
      ]
    }
  ],
  "x-notify-scopes": [
    "teams:write"
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "name": {
              "type": "string",
              "minLength": 1,
              "maxLength": 60
            },
            "autoJoinVerifiedDomain": {
              "type": "boolean"
            },
            "retentionDays": {
              "anyOf": [
                {
                  "anyOf": [
                    {
                      "type": "number",
                      "const": 7
                    },
                    {
                      "type": "number",
                      "const": 30
                    },
                    {
                      "type": "number",
                      "const": 90
                    },
                    {
                      "type": "number",
                      "const": 365
                    }
                  ]
                },
                {
                  "type": "null"
                }
              ]
            }
          },
          "additionalProperties": false
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "team": {
                "$ref": "#/components/schemas/Team"
              }
            },
            "required": [
              "team"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
